A powerful, OpenAI-compatible API for accessing state-of-the-art AI models. Get started in minutes with our simple REST API.
https://api.oriper.com/v1Include your API key in the Authorization header of all requests:
Authorization: Bearer sk-oriper-your-api-key/v1/chat/completionsCreate a chat completion with the AI model
{
"model": "gpt-4",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant."
},
{
"role": "user",
"content": "Hello, how are you?"
}
],
"temperature": 0.7,
"max_tokens": 1000,
"stream": false
}{
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1677858242,
"model": "gpt-4",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Hello! I'm doing great, thank you!"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 23,
"completion_tokens": 18,
"total_tokens": 41
}
}curl https://api.oriper.com/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer sk-oriper-your-api-key" \
-d '{
"model": "gpt-4",
"messages": [
{"role": "user", "content": "Hello!"}
]
}'from openai import OpenAI
client = OpenAI(
base_url="https://api.oriper.com/v1",
api_key="sk-oriper-your-api-key"
)
response = client.chat.completions.create(
model="gpt-4",
messages=[
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello!"}
]
)
print(response.choices[0].message.content)import OpenAI from 'openai';
const client = new OpenAI({
baseURL: 'https://api.oriper.com/v1',
apiKey: 'sk-oriper-your-api-key'
});
const response = await client.chat.completions.create({
model: 'gpt-4',
messages: [
{ role: 'system', content: 'You are a helpful assistant.' },
{ role: 'user', content: 'Hello!' }
]
});
console.log(response.choices[0].message.content);const response = await fetch('https://api.oriper.com/v1/chat/completions', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Authorization': 'Bearer sk-oriper-your-api-key'
},
body: JSON.stringify({
model: 'gpt-4',
messages: [
{ role: 'user', content: 'Hello!' }
]
})
});
const data = await response.json();
console.log(data.choices[0].message.content);gpt-4Most capable model for complex reasoning
gpt-4-turboFaster GPT-4 with updated knowledge
gpt-3.5-turboFast and efficient for most tasks
claude-3-opusAdvanced analysis and reasoning
claude-3-sonnetBalanced performance
Both input and output tokens count towards your monthly limit. Track your usage in the dashboard.
| Code | Description |
|---|---|
400 | Bad request - Invalid parameters |
401 | Unauthorized - Invalid or missing API key |
403 | Forbidden - Account suspended or banned |
429 | Rate limit exceeded or token limit reached |
500 | Internal server error |